Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 830806 - kde-misc/tellico-3.4.3[-taglib]: src/translators/audiofileimporter.cpp:61:31: error: ‘PropertyMap’ in namespace ‘TagLib’ does not name a type
Summary: kde-misc/tellico-3.4.3[-taglib]: src/translators/audiofileimporter.cpp:61:31:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://invent.kde.org/office/tellico...
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks:
 
Reported: 2022-01-08 19:28 UTC by Lars Wendler (Polynomial-C)
Modified: 2022-01-09 17:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,632.66 KB, text/plain)
2022-01-08 19:28 UTC, Lars Wendler (Polynomial-C)
Details
tellico-3.4.3-taglib.patch (tellico-3.4.3-taglib.patch,1.68 KB, patch)
2022-01-08 19:41 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2022-01-08 19:28:02 UTC
Created attachment 761626 [details]
build.log

/usr/bin/x86_64-pc-linux-gnu-g++ -DKCOREADDONS_LIB -DKF_DEPRECATED_WARNINGS_SINCE=0x060000 -DKGUIADDONS_LIB -DQT_CORE_LIB -DQT_DBUS_LIB -DQT_DEPRECATED_WARNINGS_SINCE=0x060000 -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_NO_URL_CAST_FROM_STRING -DQT_PRINTSUPPORT_LIB -DQT_QMLMODELS_LIB -DQT_QML_LIB -DQT_QUICK_LIB -DQT_STL -DQT_STRICT_ITERATORS -DQT_USE_QSTRINGBUILDER -DQT_WEBCHANNEL_LIB -DQT_WEBENGINECORE_LIB -DQT_WEBENGINEWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/translators -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/translators/translators_autogen/include -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/config -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/3rdparty -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/collections -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/collections -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/utils -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/utils -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/models -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/models -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/core -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/core -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/images -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/images -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/config -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/gui -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/gui -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/3rdparty/libcsv -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/3rdparty/libcsv -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3_build/src/3rdparty/rtf2html -I/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/3rdparty/rtf2html -I/usr/include/libxml2 -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtCore -isystem /usr/lib64/qt5/mkspecs/linux-g++ -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtXml -isystem /usr/include/KF5/KCoreAddons -isystem /usr/include/KF5 -isystem /usr/include/KF5/KWallet -isystem /usr/include/KF5/KI18n -isystem /usr/include/KF5/KWidgetsAddons -isystem /usr/include/KF5/KCodecs -isystem /usr/include/KF5/KIOCore -isystem /usr/include/KF5/KService -isystem /usr/include/KF5/KConfigCore -isystem /usr/include/qt5/QtNetwork -isystem /usr/include/qt5/QtDBus -isystem /usr/include/KF5/KJobWidgets -isystem /usr/include/KF5/KIOWidgets -isystem /usr/include/KF5/KIOGui -isystem /usr/include/KF5/KWindowSystem -isystem /usr/include/KF5/Solid -isystem /usr/include/KF5/KCompletion -isystem /usr/include/KF5/KConfigGui -isystem /usr/include/KF5/KConfigWidgets -isystem /usr/include/KF5/KAuth -isystem /usr/include/KF5/KArchive -isystem /usr/include/KF5/KGuiAddons -isystem /usr/include/KF5/KItemModels -isystem /usr/include/KF5/KIOFileWidgets -isystem /usr/include/KF5/KBookmarks -isystem /usr/include/KF5/KItemViews -isystem /usr/include/KF5/KXmlGui -isystem /usr/include/KF5/SonnetCore -isystem /usr/include/KF5/SonnetUi -isystem /usr/include/KF5/KTextWidgets -isystem /usr/include/qt5/QtWebEngineWidgets -isystem /usr/include/qt5/QtWebEngineCore -isystem /usr/include/qt5/QtQuick -isystem /usr/include/qt5/QtQmlModels -isystem /usr/include/qt5/QtQml -isystem /usr/include/qt5/QtWebChannel -isystem /usr/include/qt5/QtPrintSupport -isystem /usr/include/poppler/qt5 -isystem /usr/include/poppler  -DQT_NO_DEBUG -march=native -mtune=native -O2 -pipe -fno-operator-names -fno-exceptions -Wall -Wextra -Wcast-align -Wchar-subscripts -Wformat-security -Wno-long-long -Wpointer-arith -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Werror=return-type -Werror=init-self -Wvla -Wdate-time -Wsuggest-override -Wlogical-op -fdiagnostics-color=always -pedantic -Wzero-as-null-pointer-constant -Wnon-virtual-dtor -Wno-long-long -fno-check-new -Woverloaded-virtual -Wno-deprecated -Wno-deprecated-declarations -fvisibility=hidden -fvisibility-inlines-hidden -fPIC -std=c++11 -MD -MT src/translators/CMakeFiles/translators.dir/audiofileimporter.cpp.o -MF src/translators/CMakeFiles/translators.dir/audiofileimporter.cpp.o.d -o src/translators/CMakeFiles/translators.dir/audiofileimporter.cpp.o -c /var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:61:31: error: ‘PropertyMap’ in namespace ‘TagLib’ does not name a type
   61 |   bool hasValue(const TagLib::PropertyMap& pmap, const char* key) {
      |                               ^~~~~~~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp: In function ‘bool {anonymous}::hasValue(const int&, const char*)’:
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:62:19: error: ‘String’ in namespace ‘TagLib’ does not name a type
   62 |     const TagLib::String keyString(key);
      |                   ^~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:63:17: error: request for member ‘contains’ in ‘pmap’, which is of non-class type ‘const int’
   63 |     return pmap.contains(keyString) && !pmap[keyString].isEmpty();
      |                 ^~~~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:63:26: error: ‘keyString’ was not declared in this scope; did you mean ‘QString’?
   63 |     return pmap.contains(keyString) && !pmap[keyString].isEmpty();
      |                          ^~~~~~~~~
      |                          QString
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:61:62: warning: unused parameter ‘key’ [-Wunused-parameter]
   61 |   bool hasValue(const TagLib::PropertyMap& pmap, const char* key) {
      |                                                  ~~~~~~~~~~~~^~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp: At global scope:
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:66:34: error: ‘PropertyMap’ in namespace ‘TagLib’ does not name a type
   66 |   QString tagValue(const TagLib::PropertyMap& pmap, const char* key) {
      |                                  ^~~~~~~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp: In function ‘QString {anonymous}::tagValue(const int&, const char*)’:
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:67:19: error: ‘String’ in namespace ‘TagLib’ does not name a type
   67 |     const TagLib::String keyString(key);
      |                   ^~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:68:18: error: request for member ‘contains’ in ‘pmap’, which is of non-class type ‘const int’
   68 |     return (pmap.contains(keyString) && !pmap[keyString].isEmpty()) ?
      |                  ^~~~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:68:27: error: ‘keyString’ was not declared in this scope; did you mean ‘QString’?
   68 |     return (pmap.contains(keyString) && !pmap[keyString].isEmpty()) ?
      |                           ^~~~~~~~~
      |                           QString
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:69:13: error: ‘TStringToQString’ was not declared in this scope
   69 |             TStringToQString(pmap[keyString].front()).trimmed() :
      |             ^~~~~~~~~~~~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:66:65: warning: unused parameter ‘key’ [-Wunused-parameter]
   66 |   QString tagValue(const TagLib::PropertyMap& pmap, const char* key) {
      |                                                     ~~~~~~~~~~~~^~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp: At global scope:
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:66:11: warning: ‘QString {anonymous}::tagValue(const int&, const char*)’ defined but not used [-Wunused-function]
   66 |   QString tagValue(const TagLib::PropertyMap& pmap, const char* key) {
      |           ^~~~~~~~
/var/tmp/portage/kde-misc/tellico-3.4.3/work/tellico-3.4.3/src/translators/audiofileimporter.cpp:61:8: warning: ‘bool {anonymous}::hasValue(const int&, const char*)’ defined but not used [-Wunused-function]
   61 |   bool hasValue(const TagLib::PropertyMap& pmap, const char* key) {
      |        ^~~~~~~~
ninja: build stopped: subcommand failed.


Possible offending upstream commit:

  https://invent.kde.org/office/tellico/-/commit/0df7001533b578ababdddd8427bf1addc267003d
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2022-01-08 19:29:09 UTC
# emerge --info tellico taglib
Portage 3.0.30 (python 3.10.1-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-11.2.0, glibc-2.33-r7, 5.15.13 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.15.13-x86_64-AMD_Opteron-tm-_Processor_6328-with-glibc2.33
KiB Mem:   131958436 total,   7855744 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 08 Jan 2022 07:00:01 +0000
Head commit of repository gentoo: 290937fd385e6d53af945eabf54a20df8fbbddf5
Timestamp of repository poly-c: Sat, 08 Jan 2022 19:05:01 +0000
sh dash 0.5.11.5
ld GNU ld (Gentoo 2.37_p1 p1) 2.37
distcc 3.4 x86_64-pc-linux-gnu [disabled]
app-misc/pax-utils:        1.3.3::gentoo
app-shells/bash:           5.1_p16::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.0-r6::gentoo
dev-lang/python:           2.7.18_p13::poly-c, 3.9.9::gentoo, 3.10.1-r1::gentoo
dev-lang/rust:             1.57.0::gentoo
dev-util/cmake:            3.22.1::gentoo
dev-util/meson:            0.60.3::gentoo
sys-apps/baselayout:       2.8::poly-c
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-devel/autoconf:        2.13-r1::gentoo, 2.69-r5::gentoo, 2.71-r1::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.37_p1-r1::gentoo
sys-devel/binutils-config: 5.4::gentoo
sys-devel/clang:           12.0.1::gentoo, 13.0.0::gentoo
sys-devel/gcc:             10.3.0-r2::gentoo, 11.2.0::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.6-r6::gentoo
sys-devel/lld:             13.0.0::gentoo
sys-devel/llvm:            12.0.1::gentoo, 13.0.0::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.15-r3::gentoo (virtual/os-headers)
sys-libs/glibc:            2.33-r7::gentoo
Repositories:

gentoo
    location: /var/portage
    sync-type: rsync
    sync-uri: rsync://192.168.0.254/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: --new-compress
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1

poly-c
    location: /usr/local/portage
    masters: gentoo
    priority: 0

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/bonobo-activation /etc/ca-certificates /etc/ca-certificates.conf /etc/dbus-1 /etc/dconf /etc/env.d /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/games /etc/gconf /etc/gentoo-release /etc/gimp /etc/gnome-vfs-2.0 /etc/gre.d /etc/gtk-2.0 /etc/hp /etc/hsqldb /etc/htdig /etc/init.d /etc/iproute2 /etc/java-config-2 /etc/lftp /etc/logrotate.d /etc/ntop /etc/opt /etc/pango /etc/profile.d /etc/qt4 /etc/revdep-rebuild /etc/sandbox.d /etc/sasl2 /etc/sensors.d /etc/sgml /etc/sound /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/vbox /etc/xdg /etc/xinetd.d /etc/xml"
CXXFLAGS="-march=native -mtune=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y --misspell-suggestions=n --autounmask=n --quiet-build=n --verbose-slot-rebuilds=n --fuzzy-search=n --dynamic-deps=n --changed-deps-report=y"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.netcologne.de/gentoo/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
INSTALL_MASK="/etc/systemd /home/ftp /lib/systemd /lib64/systemd /usr/lib/systemd /usr/lib64/systemd /etc/init.d/functions.sh /usr/lib/modules-load.d/virtualbox.conf /etc/inittab.d /etc/modules-load.d/fwupd*"
LANG="C.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed"
LINGUAS="de de@1901 en"
MAKEOPTS="-j16"
PKGDIR="/opt/portage/packages"
PORTAGE_BZIP2_COMMAND="lbzip2"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--new-compress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="3dnow 3dnowext X a52 aac aacs acl acpi activities alsa amd64 bluetooth bluray branding brotli bzip2 c++0x cairo caps cdda cdr cli crypt css cups dbus declarative dri dts dvd dvdr elogind emboss encode exif faac ffmpeg flac gcrypt gdbm gif gmp gnutls gstreamer gtk gui iconv icu idn imagemagick inotify jpeg jpeg2k kde kipi kwallet lame lcms libcanberra libglvnd libnotify libtirpc linguas_de lto lzma mac mad matroska midi mmap mmx mmxext mng mp3 mp4 mpeg mpfr multilib ncurses nls nptl nsplugin numa ogg openal opencl opengl openmp opus pam pango pcre pdf pipewire plasma png policykit ppds pulseaudio qml qt5 quicktime readline rtmp sdl seccomp slang speex spell split-usr srt sse sse2 ssl startup-notification svg theora threads tiff truetype twolame udev udisks unicode upower usb vaapi vcd vdpau vorbis vpx vulkan webp widgets wxwidgets x264 x265 xattr xcb xinerama xml xv xvid xvmc zlib zsh-completion zstd" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="access_compat alias auth_basic auth_digest authn_anon authn_core authn_default authn_file authz_core authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dir env file_cache filter headers http2 include info log_config mime mime_magic rewrite socache_shmcb status unique_id unixd userdir vhost_alias" CPU_FLAGS_X86="aes avx fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" CURL_SSL="gnutls" ELIBC="glibc" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de de-1901 en" LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer" LLVM_TARGETS="AMDGPU" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9 python3_10" RUBY_TARGETS="ruby27 ruby30" USERLAND="GNU" VIDEO_CARDS="amdgpu radeonsi"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS

=================================================================
                        Package Settings
=================================================================

kde-misc/tellico-3.4.2::gentoo was built with the following:
USE="-bibtex -cddb -debug -discid handbook pdf -scanner -semantic-desktop -taglib -test -v4l -xmp -yaz" ABI_X86="(64)"
FEATURES="config-protect-if-modified binpkg-dostrip fixlafiles unmerge-logs ebuild-locks binpkg-multi-instance assume-digests multilib-strict pid-sandbox buildpkg sign userpriv parallel-fetch ipc-sandbox news userfetch protect-owned merge-sync sandbox binpkg-logs preserve-libs strict sfperms usersync unknown-features-warn xattr qa-unresolved-soname-deps binpkg-docompress distlocks usersandbox network-sandbox parallel-install unmerge-orphans"


media-libs/taglib-1.12::gentoo was built with the following:
USE="-debug -doc -examples -test" ABI_X86="-32 (64) (-x32)"
FEATURES="binpkg-docompress multilib-strict usersync sign sandbox buildpkg qa-unresolved-soname-deps ebuild-locks assume-digests userfetch binpkg-dostrip parallel-install unmerge-orphans fixlafiles network-sandbox news userpriv parallel-fetch binpkg-logs unknown-features-warn usersandbox ipc-sandbox protect-owned distlocks pid-sandbox unmerge-logs binpkg-multi-instance xattr strict config-protect-if-modified merge-sync sfperms preserve-libs"
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2022-01-08 19:41:06 UTC
Created attachment 761627 [details, diff]
tellico-3.4.3-taglib.patch

Possible fix. Please submit to upstream as I do not have an account at https://invent.kde.org
Comment 3 Larry the Git Cow gentoo-dev 2022-01-09 17:03:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fa26bd9039450d46ad06cf145269faaa52519f6

commit 4fa26bd9039450d46ad06cf145269faaa52519f6
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-01-09 16:58:57 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-01-09 16:59:30 +0000

    kde-misc/tellico: Fix build with USE=-taglib
    
    Thanks-to: Lars Wendler <polynomial-c@gentoo.org>
    Closes: https://bugs.gentoo.org/830806
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../tellico/files/tellico-3.4.3-taglib-ifdef.patch | 35 ++++++++++++++++++++++
 kde-misc/tellico/tellico-3.4.3.ebuild              |  2 ++
 2 files changed, 37 insertions(+)